<%--
  - FileName   : 
  - Author(s)  : 
  - Date       : 
  -
  - Description: 한국정보통신공사협회 실적증명서
  --%>
  


<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@page import="java.net.URLEncoder"%>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
	ValueObject vo = storage.getValueObject("ResultDetail04BizVo");
	RowSet fileRowSet = storage.getRowSet("RESULT_PDF");
    
    String pageEvent = storage.getEvent();
%>
<script language="javascript" src="/js/report.js"></script>
<script type="text/javascript">
<!--
	
	$(document).on("keyup", "input:text[numberOnly]", function() 
   	{
   	    $(this).val( $(this).val().replace(/[^0-9]/gi,"") );		//숫자만입력 정규식...
   	    $(this).val($(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));  //콤마찍기 정규식...귀찮ㄹ타
   	 });
   	 
   	$(document).on("keyup", "input:text[number]", function() 
   	{
   	    $(this).val( $(this).val().replace(/[^0-9]/gi,"") );		//숫자만입력 정규식...
   	 });
    	
   	$(document).ready(function(){
   	    
	   	 var prog_stat_cd = "<%=vo.get("prog_stat_cd")%>";
	   	 
	   	if($("#p_success_gubun").val() == "R")
        {
	        $(':radio[name="p_reson"]').attr("disabled", true);
	        $(':input').attr("readonly", true);
	        $(':input').addClass("bg_gry");
        }
		 
	  //2016.4.7
	 	if(prog_stat_cd == "91" )
        {
            $("#reson_area").css("display", "table-row");
            //2016.1.11 금액관련 모두 수정가능
        }
        else
        {
        	$("#reson_area").css("display", "none");
          //2016.4.7금액관련 모두 수정 불가
            if ($("#viewSheet").is(":checked") == false)
    	    {
            	/*$("#cont_tamt").attr("disabled", true);
            	$("#prv_trans_amt").attr("disabled", true);
            	$("#cur_cont_amt").attr("disabled", true);
            	$("#cur_pay_amt").attr("disabled", true);
            	$("#sub_amt").attr("disabled", true);
	    		$("#cur_pay_namt").attr("disabled", true); 2017.01.*/
    	    }
        }
	  	 
		  	if(prog_stat_cd == "30" )
	        {
	            //$("#viewSheet").css("display", "none");
	            $("#btn_sheet_add_area").css("display", "none");
	        }
   	 
		if($("#p_page_gubun").val() == "info")
		{
		    if($("#prog_stat_cd").val() == "10" || $("#prog_stat_cd").val() == "00" || $("#prog_stat_cd").val() == "91")
    		{
        		$("#signOk").css("display", "inline");
        		 $("#btn_preview_area").css("display", "inline");
    		}
    		else
   		    {
    		    $("#issue_req").css("display", "none");
    		    $("#signOk").css("display", "none");
    		    $("#btn_preview_area").css("display", "none");
	            $("#btn_save_area").css("display", "none");
	            $("#btn_delete_area").css("display", "none");
	            
	            $("#sub_amt").attr("readonly", "true");
	            $("#reg_no").attr("readonly", "true");
    		    $("#isu_charge_nm").attr("readonly", "true");
	            $("#isu_req_hp1").attr("readonly", "true");
	            $("#isu_req_hp2").attr("readonly", "true");
	            $("#isu_req_hp3").attr("readonly", "true");
   		    }
		}
		else
		{
   			$("#signOk").css("display", "none");
   		 	$("#btn_preview_area").css("display", "none");
   			$("#btn_delete_area").css("display", "none");
   		}
     
   	});
    	
	$(function(){
	    
		$.gridInit = function()
		{
	        var init_sheet = {};
	        init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
			
			init_sheet.Cols = [
										{Header:"삭제",								Type:"DelCheck",					SaveName:"DEL_CHECK", 				Width:15, 		Align:"Center", Hidden:"True"}
										
			                   		];
			
			
			init_sheet.HeaderMode = {Sort:1};
			IBS_InitSheet(sheet1, init_sheet);
			sheet1.SetDataAutoTrim(0);
// 			sheet1.SetEditable(false);
			sheet1.SetCountPosition(0);
		
			sheet1.FitColWidth();
		}
		
	    $(".numberic").each(function(){
	        $(this).val($(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(',')); 
	    });
	    
		$.callCalendar = function(id){
	        
	        var str_value = id;
	        var re = new RegExp("_", "ig");
	        var resultArray = str_value.match(re);
	        
	        if(resultArray.length == 1)
	        {
	            dlgCalendar(id);
	        }
	        else if(resultArray.length == 2)
	        {
	            id = id.substring(0, id.lastIndexOf("_"));
	            dlgCalendar(id);
	        }
	    };
	    
	    
	    $("[name=date_img]").click(function(){
			var id = $(this).attr("id").substring(0, $(this).attr("id").lastIndexOf("_"));
			dlgCalendar(id);
		});
	    
	    
		$("#btn_list").click(function(){
	        
	        //"/portal/result/PurResultIngList.screen"
	        $("#fevent").val("");
	        if($("#p_page_gubun").val() == "target")
            {
	            $("#form1").attr("action", "/portal/result/PurResultTargetList.screen");	            
            }
	        else if($("#p_page_gubun").val() == "info")
            {
	            $("#form1").attr("action", $("#p_List").val() );
            }
	        
		    $("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();
		    
	    });
	    
	    
		$("#btn_save").click(function(){
	        
	        var f = document.form1;
	        var gubun = $("#p_page_gubun").val(); 
	        
	        if(confirm("저장 하시겠습니까?"))
            {
	            if(gubun == "info")
	            {
	            	//2016.1.11 반려일때만 금액수정 가능.
	            	if($("#prog_stat_cd").val() != "91"){
		                $("#prog_stat_cd").val("10");
	                }
		            $("#fevent").val("UPDATE_DATA");
		            
		            var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/result/PurResultDetail03_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
	            }
		        else
	            {
		            //$("#prog_stat_cd").val("10");2016.1.11 반려일때만 금액수정 가능. 
		            $("#fevent").val("SAVE_LIST");
		            var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/result/PurResultDetail03_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
	            }
            }
	       
	    });
		
	    $("#btn_signOk").click(function(){
	    	if ($("#reg_no").val() == "")
	    	{
	    		alert("면허번호를 입력하십시요.");
	            $("#reg_no").focus();
 	        	return;
	    	}
	    	if ($("#issue_no").val() == "")
	    	{
	    		alert("일련번호를 입력하십시요.");
	            $("#issue_no").focus();
 	        	return;
	    	}
	    	fMakeItemInfo();
	    });
	    
	    
		$("#btn_delete").click(function(){
		    
		    var f = document.form1;
		    if(confirm("삭제 하시겠습니까?"))
            {
		    	submitXmlRequest("/portal/result/PurResultDetail01_form.screen", "DELETE_DATA", f, "VALUEOBJECT");
            }
		    
		});
		
		$("#btn_preview").click(function(){
		    
		    var f = document.form1;
		    
		    if(confirm("저장후 미리보기를 생성 하시겠습니까?"))
            {
	            $("#fevent").val("UPDATE_DATA");
	            $("#pdf").val("PREVIEW_PDF");
	            
	            var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/result/PurResultDetail03_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
		    	
		    	/* $("#fevent").val("PREVIEW_PDF");
		    	submitXmlRequest("/portal/result/PurResultDetail01_form.screen", "PREVIEW_PDF", f); */
            }
		    
		});
		$("#contPopup").click(function(){
	        var win_id = "ResultContPopup";
	        var link = "/portal/result/PurResultContPopup.screen";
		    link += "?pop_win_id="+win_id+"&layerYn=Y";
		    link += "&subContModId="+$("#p_pur_cont_mod_id").val();
			fLayerPop(win_id, link, 550,115, '', '', 'auto');
		});
	});
	
	function sheet1_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(code >= "0")
		{
		    if(event == "SAVE_LIST")
	        {
		        alert("저장이 완료되었습니다.");
			    location.href="/portal/result/PurResultIngList.screen";
	        }
		    else if(event == "UPDATE_ISSUE")
	        {
		        alert("발급요청을 하였습니다.");
		        location.href="/portal/result/PurResultIngList.screen";
	        }
		    else if(event == "SIGN_OK")
	        {
		    	alert("서명 되었습니다.");
				$("#fevent").val("GET_DETAIL_04");
				
				$("#form1").attr("action", "/portal/result/PurResultDetail04.screen");
				$("#form1").submit();
	        }
		    else if($("#pdf").val()=="PREVIEW_PDF")
		    {
		    	var reportInfo = new ReportInfo();
			    
	            reportInfo.title = "한국정보통신공사협회 실적증명";
	            reportInfo.reportName = "/report/mrd/buyer/supplier/pur_info_application.mrd";
	            reportInfo.set("<%=vo.get("corp_id")%>");    			// $1
	            reportInfo.set("<%=vo.get("pur_cont_mod_id")%>");    	// $2
	            reportInfo.set("<%=vo.get("acmp_yyyy")%>");    			// $3
	            reportInfo.set("<%=vo.get("soc_cd")%>");    			// $4
	            
		        reportInfo.width = 1000;                         	// Default: 1024
		        reportInfo.height = 700;                         	// Default: 768
				reportInfo.showPopup();
				$("#pdf").val("");
		    }
		    else
	        {
		        alert("수정이 완료되었습니다.");
		        
  				$("#fevent").val("GET_DETAIL_04");
				
				$("#form1").attr("action", "/portal/result/PurResultDetail04.screen");
				$("#form1").submit();
	        }
		}
	}
	
	function doResult(resultObj) {
		try 
		{
		    document.form1.isSubmit = false;
		    
			if( resultObj.getRequestEvent() == "SAVE_DATA") 
			{
				if( resultObj.getSuccess() ) 
				{
					alert("등록 되었습니다.");
					location.href="/portal/result/PurResultIngList.screen";
				}
				else 
				{
	// 				dlgErrorMsg(resultObj.getMessage);
					alert(resultObj.getValueObject().get("errMsg"));
				}
			}
			else if(resultObj.getRequestEvent() == "UPDATE_DATA")
		    {
			    if( resultObj.getSuccess() ) 
				{
					alert("수정 되었습니다.");
					
					$("#fevent").val("GET_DETAIL_04");
					
					$("#form1").attr("action", "/portal/result/PurResultDetail04.screen");
					$("#form1").submit();
// 					location.href="/portal/result/PurResultIngList.screen";
				}
				else 
				{
	// 				dlgErrorMsg(resultObj.getMessage);
					alert(resultObj.getValueObject().get("errMsg"));
				}
		    }
			else if(resultObj.getRequestEvent() == "UPDATE_ISSUE")
		    {
			    if( resultObj.getSuccess() ) 
				{
					alert("발급요청이 되었습니다.");
					location.href="/portal/result/PurResultIngList.screen";
				}
				else 
				{
	// 				dlgErrorMsg(resultObj.getMessage);
					alert(resultObj.getValueObject().get("errMsg"));
				}
		    }
			else if( resultObj.getRequestEvent() == "DELETE_DATA") 
			{
		        if( resultObj.getSuccess() ) 
				{
					alert("삭제 되었습니다.");
					location.href="/portal/result/PurResultTargetList.screen";
				}
				else 
				{
	// 				dlgErrorMsg(resultObj.getMessage);
					alert(resultObj.getValueObject().get("errMsg"));
				}
			}
			else if(resultObj.getRequestEvent()  == "SIGN_OK")
	        {
		    	alert("서명 되었습니다.");
				$("#fevent").val("GET_DETAIL_03");
				
				$("#form1").attr("action", "/portal/result/PurResultDetail04.screen");
				$("#form1").submit();
	        }
			else if( resultObj.getRequestEvent() == "PREVIEW_PDF") 
			{
		        if( resultObj.getSuccess() ) 
				{
		        	alert("미리보기가 생성 되었습니다.");
		        	var url="/common/file/FileDownloadServlet?mode=fpDown&filePath=/result/<%=vo.get("pur_cont_mod_id")%>/<%=vo.get("acmp_yyyy")%>&fileName=preview_<%=vo.get("corp_id")%>.pdf&fileRealName=preview_<%=vo.get("corp_id")%>.pdf";
			  		window.open(url, "_blank");
				}
				else 
				{
	// 				dlgErrorMsg(resultObj.getMessage);
					alert(resultObj.getValueObject().get("errMsg"));
				}
			}
		}
		catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}
	
	
	function fMakeItemInfo(){
		
		var sColumDelimiter = "┃";
		var sRowDelimiter		= "↕";
		var sSumDelimiter		= "╂";
		var sEncDelimiter		= "⇔";
		var isNull	= "NULL";
//해시
		var	sContHash				=	"";
		var	sTemplate				=	"01";			
		var	sMainVendcd				=	"<%=vo.get("isu_vendcd") %>"; 
		//var	sMainVendcd				=	"1234567890";	//	원사업자번호
		var issue_no = "<%=vo.get("issue_no") %>";
		var reg_no = "<%=vo.get("reg_no") %>";
		var prv_trans_amt = "<%=vo.get("prv_trans_amt") %>";
		var cur_pay_amt = "<%=vo.get("cur_pay_amt") %>";
		var sub_amt = "<%=vo.get("sub_amt") %>";
		var cur_pay_namt = "<%=vo.get("cur_pay_namt") %>";
		
		sContHash=issue_no		+sColumDelimiter
				+reg_no	+sColumDelimiter
				+prv_trans_amt	+sColumDelimiter
				+cur_pay_amt	+sColumDelimiter
				+sub_amt	+sColumDelimiter
				+cur_pay_namt			+sRowDelimiter;
				
		 $("#CONT_HASH").val(sContHash);

		 if(confirm("서명 하시겠습니까?")){
			 SignData();	 
		 }
	}
	
	function isEmptyVal( value ) {
		if(value.length == 0){
			return true;
		}
		if( value == "" ) {
			return true;
		}
		return false;
	}

	
//-->
</script>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<INPUT type="hidden" name="fevent" id="fevent" value="" />
<INPUT type="hidden" name="pdf" id="pdf" value="" />
<input type="hidden" name="p_page_gubun" id="p_page_gubun" value="<%=params.get("p_page_gubun") %>" />
<input type="hidden" name="p_List" id="p_List" value="<%=params.get("p_List") %>" />

<input type="hidden" name="p_pur_cont_mod_id" id="p_pur_cont_mod_id" value="<%=vo.get("pur_cont_mod_id") %>" />
<input type="hidden" name="p_acmp_yyyy" id="p_acmp_yyyy" value="<%=vo.get("acmp_yyyy") %>" />
<input type="hidden" name="p_corp_id" id="p_corp_id" value="<%=vo.get("corp_id") %>" />
<input type="hidden" name="p_soc_cd" id="p_soc_cd" value= "<%=params.get("p_soc_cd") %>" />

<input type="hidden" name="pur_cont_mod_id" id="pur_cont_mod_id" value="<%=vo.get("pur_cont_mod_id") %>" />
<input type="hidden" name="acmp_yyyy" id="acmp_yyyy" value="<%=vo.get("acmp_yyyy") %>" />
<input type="hidden" name="corp_id" id="corp_id" value="<%=vo.get("corp_id") %>" />
<input type="hidden" name="soc_cd" id="soc_cd" value= "<%=params.get("p_soc_cd") %>" />
<input type="hidden" name="dept_cd" id="dept_cd" value= "<%=vo.get("dept_cd") %>" />
<input type="hidden" name="dept_nm" id="dept_nm" value= "<%=vo.get("dept_name") %>" />
<input type="hidden" name="isu_vendcd" id="isu_vendcd" value= "<%=vo.get("isu_vendcd") %>" />
<input type="hidden" name="con_amt" id="con_amt" value= "<%=vo.get("con_amt") %>" />
<input type="hidden" name="prog_stat_cd" id="prog_stat_cd" value= "<%=vo.get("prog_stat_cd") %>" />
<input type="hidden" name="p_success_gubun" id="p_success_gubun" value= "<%=params.get("p_success_gubun") %>" />

<input type="hidden" name="p_yyyy" id="p_yyyy" value= "<%=params.get("p_yyyy") %>" />
<input type="hidden" name="p_dept_nm" id="p_dept_nm" value= "<%=params.get("p_dept_nm") %>" />
<input type="hidden" name="p_cont_nm" id="p_cont_nm" value= "<%=params.get("p_cont_nm") %>" />

<input type="hidden" name="PRV_PAY_AMT_O" id="PRV_PAY_AMT_O" value= "<%=vo.get("PRV_PAY_AMT_O") %>" />
<input type="hidden" name="CUR_PAY_NAMT_O" id="CUR_PAY_NAMT_O" value= "<%=vo.get("CUR_PAY_NAMT_O") %>" />
	
<!--서명 데이터 정보  START-->
<INPUT type='hidden' name="CONT_HASH" value="">
<INPUT type='hidden' name="sItemInfo" value="">
<INPUT type='hidden' name="CONT_SIGNDATA" value="">
<INPUT type='hidden' name="CONT_SIGNDN" value="">
<INPUT type='hidden' name="signeddata" value="">
<INPUT type='hidden' name="signEnddt" value="">

<div align="left" id="title" style="float: left;">
	<ul>
		<li>실적증명 상세(<%=vo.get("PROG_STAT_NM").equals("") ? "작성대상" :  vo.get("PROG_STAT_NM")%>)</li>
	</ul>
</div>

<div style="float: right; margin-top: 16px;">
	<span class="btnSearch center"><a href="javascript:void(0);" id="btn_list">목록</a></span>
	<!--<span class="btnSearch center" id="btn_preview_area"><a href="javascript:void(0);" id="btn_preview">미리보기</a></span>-->
	<span class="btnSearch center" id="btn_save_area"><a href="javascript:void(0);" id="btn_save">저장</a></span>
	<span class="btnSearch center" id="signOk"><a href="javascript:void(0);" id="btn_signOk">서명</a></span>
	<span class="btnSearch center" id="btn_delete_area"><a href="javascript:void(0);" id="btn_delete">삭제</a></span>
</div>

<!-- 기성실적증명서 정보 -->
<div style="float: left;" class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">기성실적증명서 정보</span>
	</div>
	<div class="application-location">
	</div>
</div>

<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" class=form-table>
	<colgroup>
		<col width="15%" />
		<col width="35%" />
		<col width="15%" />
		<col width="35%" />
	</colgroup>
	<!-- 검색조건 영역, 테이터 영역 구분 여백 : 시작 -->
	<tr>
		<th style="text-align: left;">발 급 협 회</th>
		<td>
			한국정보통신공사협회
		</td>
		<th style="text-align: left;">일 련 번 호</th>
		<td>
			<input type="text" name="issue_no" id="issue_no" value="<%=vo.get("issue_no") %>" /> 
		</td>
	</tr>
	<tr id="reson_area">
		<th style="text-align: left;">반려사유</th>
		<td colspan="3">
			<%=vo.get("return_reson").replace("\n", "<br/>") %>
		</td>
	</tr>
</table>

<!-- 신청인 -->
<div style="float: left;" class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">신청인</span>
	</div>
	<div class="application-location">
	</div>
</div>



<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" class=form-table>
	<colgroup>
		<col width="15%" />
		<col width="35%" />
		<col width="15%" />
		<col width="35%" />
	</colgroup>
	<!-- 검색조건 영역, 테이터 영역 구분 여백 : 시작 -->
	<tr>
		<th style="text-align: left;">상 호</th>
		<td>
			<input type="text" name="isu_vendnm" id="isu_vendnm" value="<%=vo.get("ISU_VENDNM") %>" class="bg_gry input_blank" readonly="readonly"/> 
		</td>
		<th style="text-align: left;">면허번호</th>
		<td>
			<input type="text" name="reg_no" id="reg_no" value="<%=vo.get("reg_no") %>" style="width: 100%;" />
		</td>
	</tr>
	<tr>
		<th style="text-align: left;">대표자</th>
		<td>
			<input type="text" name="isu_pres_nm" id="isu_pres_nm" value="<%=vo.get("isu_pres_nm") %>" class="bg_gry input_blank" readonly="readonly"/> 
		</td>
		<th style="text-align: left;">전화번호</th>
		<td>
			<input type="text" name="isu_phone" id="isu_phone" value="<%=vo.get("isu_phone") %>" class="bg_gry input_blank" readonly="readonly"/>
		</td>
	</tr>
	<tr>
		<th style="text-align: left;">영업소 소재지</th>
		<td colspan="3">
			<input type="text" name="isu_addr" id="isu_addr" value="<%=vo.get("ISU_ADDR") %>"  style="width: 100%;"  />
		</td>
	</tr>
</table>


<!-- 공사내역 -->
<div style="float: left;" class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">공사내역</span>
		<img alt="팝업" id="contPopup" name="contPopup" src="/img/buyer/button/bt_search_right.gif" style="vertical-align: middle; cursor: pointer;"/>
	</div>
	<div class="application-location">
	</div>
</div>


<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" class=form-table>
	<colgroup>
		<col width="15%" />
		<col width="35%" />
		<col width="15%" />
		<col width="35%" />
	</colgroup>
	<!-- 검색조건 영역, 테이터 영역 구분 여백 : 시작 -->
	
	<tr>
		<th style="text-align: left;">공사명</th>
		<td colspan="3">
			<input type="text" name="cont_nm" id="cont_nm" value="<%=vo.get("cont_nm") %>"  style="width: 100%;"  />
		</td>
	</tr>
	
	<tr>
		<th style="text-align: left;">계약연월</th>
		<td colspan="3">
			<input type="text" name="cont_cdate" id="cont_cdate" value="<%=vo.get("cont_cdate") %>" class="bg_gry input_blank" readonly="readonly" style="width: 80px;"/> 
<!-- 			<img alt="달력" id="cont_cdate_img" name="date_img" src="/img/buyer/icon/icon_calendar.gif" style="vertical-align: middle; cursor: pointer;"/> -->
		</td>
	</tr>
	
	<tr>
		<th style="text-align: left;">착공연월</th>
		<td>
			<input type="text" name="cont_sdate" id="cont_sdate" value="<%=vo.get("cont_sdate") %>" class="bg_gry input_blank" readonly="readonly" style="width: 80px;" /> 
<!-- 			<img alt="달력" id="cont_sdate_img" name="date_img" src="/img/buyer/icon/icon_calendar.gif" style="vertical-align: middle; cursor: pointer;"/> -->
		</td>
		
		<th style="text-align: left;">준공연월</th>
		<td>
			<input type="text" name="cont_edate" id="cont_edate" value="<%=vo.get("cont_edate") %>" class="bg_gry input_blank" readonly="readonly" style="width: 80px;" />
		</td>
	</tr>
	
	<tr>
		<th style="text-align: left;">총 계약금액</th>
		<td>
			<input type="text" name="cont_tamt" id="cont_tamt" value="<%=vo.get("cont_tamt") %>" style="text-align: right; width: 200px;"   numberOnly="true" class="numberic" /> 천원
			(<input type="text" name="cont_tamt_o" id="cont_tamt_o" value="<%=vo.get("cont_tamt_O") %>"  style="text-align: right; width: 70px;" class="numberic bg_gry input_blank"  readonly="readonly" /> )
		</td>
		
		<th style="text-align: left;">전년도 이월공사액</th>
		<td>
			<input type="text" name="prv_trans_amt" id="prv_trans_amt" value="<%=vo.get("prv_trans_amt") %>" style="text-align: right; width: 200px;"  numberOnly="true" class="numberic" maxlength="20"/> 천원
		</td>
	</tr>
	
	<tr>
		<th style="text-align: left;">당년도 계약액</th>
		<td>
			<input type="text" name="cur_cont_amt" id="cur_cont_amt" value="<%=vo.get("cur_cont_amt") %>" style="text-align: right; width: 200px;" numberOnly="true" class="numberic"  /> 천원
		</td>
		
		<th style="text-align: left;">당년도 기성액</th>
		<td>
			<input type="text" name="cur_pay_amt" id="cur_pay_amt" value="<%=vo.get("cur_pay_amt") %>" style="text-align: right; width: 200px;" numberOnly="true"  class="numberic" maxlength="20"/> 천원
			(<input type="text" name="cur_pay_amt_o" id="cur_pay_amt_o" value="<%=vo.get("cur_pay_amt_O") %>"  style="text-align: right; width: 70px;" class="numberic bg_gry input_blank"  readonly="readonly" /> )
		</td>
	</tr>
	
	<tr>
		<th style="text-align: left;">하도급금액</th>
		<td>
			<input type="text" name="sub_amt" id="sub_amt" value="<%=vo.get("sub_amt") %>" style="text-align: right; width: 200px;" numberOnly="true" class="numberic" maxlength="20"/> 천원
		</td>
		
		<th style="text-align: left;">당년도 미기성액</th>
		<td>
			<input type="text" name="cur_pay_namt" id="cur_pay_namt" value="<%=vo.get("cur_pay_namt") %>" style="text-align: right; width: 200px;" numberOnly="true" class="numberic" maxlength="20"/> 천원
		</td>
	</tr>
</table>

<div id="sheetDiv" style="visibility: hidden;">
			<script>createIBSheet("sheet1","100%", "0px;");</script>
</div>


<!-- 공사내역 -->
<div style="float: left;" class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">발급요청자 정보</span>
	</div>
	<div class="application-location">
	</div>
</div>

<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" class=form-table>
	<colgroup>
		<col width="15%" />
		<col width="35%" />
		<col width="15%" />
		<col width="35%" />
	</colgroup>
	<!-- 검색조건 영역, 테이터 영역 구분 여백 : 시작 -->
	<tr>
		<th style="text-align: left;">담당자명</th>
		<td>
			<input type="text" name="isu_charge_nm" id="isu_charge_nm" value="<%=vo.get("isu_charge_nm").equals("") ? user.get("user_name") : vo.get("isu_charge_nm") %>" /> 
		</td>
		<th style="text-align: left;">휴대전화</th>
		<td>
			<input type="text" name="isu_req_hp1" id="isu_req_hp1" value="<%=vo.get("isu_req_hp1").equals("") ? user.get("hp1") : vo.get("isu_req_hp1") %>" style="width: 80px;" maxlength="3" number="true"/> -
			<input type="text" name="isu_req_hp2" id="isu_req_hp2" value="<%=vo.get("isu_req_hp2").equals("") ? user.get("hp2") : vo.get("isu_req_hp2") %>" style="width: 120px;" maxlength="4" number="true"/> -
			<input type="text" name="isu_req_hp3" id="isu_req_hp3" value="<%=vo.get("isu_req_hp3").equals("") ? user.get("hp3") : vo.get("isu_req_hp3") %>" style="width: 120px;" maxlength="4" number="true"/> 
		</td>
	</tr>
</table>


<%if(vo.get("prog_stat_cd").equals("30")){ %>
<div id="file_area" style="width: 100%;">
<!-- 공사내역 -->
<div style="float: left;" class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">첨부파일</span>
	</div>
	<div class="application-location">
	</div>
</div>

<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" class=form-table>
	<colgroup>
		<col width="15%" />
		<col width="*" />
	</colgroup>
	<!-- 검색조건 영역, 테이터 영역 구분 여백 : 시작 -->
	<tr>
		<th style="text-align: left;">첨부파일</th>
		<td colspan="3">
			<div id="auto_attach_file_view" class="attach_file_view">
				<ul>
					<%
						for(int i=0; i<fileRowSet.size(); i++)
						{
					%>
					<li>
						<a href="/common/file/FileDownloadServlet?mode=fpDown&filePath=<%=fileRowSet.getRow(i).get("FILE_PATH")%>&fileName=<%=URLEncoder.encode(fileRowSet.getRow(i).get("FILE_NAME"), "UTF-8")%>&fileRealName=<%=fileRowSet.getRow(i).get("REAL_FILE_NAME")%>"><%=i+1%> : <%=fileRowSet.getRow(i).get("FILE_NAME")%> (<%=fileRowSet.getRow(i).get("FILE_SIZE").trim() %>)</a>
					</li>
					<%
						}	
					%>
				</ul>
			</div>
		</td>
	</tr>
</table>

</div>
<%} %>

</form>



<!-- ------------------서명 요청 처리 로직-------- -->
<SCRIPT LANGUAGE="JavaScript">

function SignData()
{
	var VendorCd = "<%=vo.get("isu_vendcd")%>"; 
// 	VendorCd = '2234567890';
	var sOrgnData = $("#CONT_HASH").val();
	 
	unisign.SignDataNVerifyVID( sOrgnData, null, VendorCd, function( resultObject ) {
			if( !resultObject || resultObject.resultCode != 0 ){
// 				alert( resultObject.resultMessage + "\n오류코드 : " + resultObject.resultCode );

				if( resultObject.resultCode == '14208'){
					alert("주민번호/사업자번호를 확인할 수 없는 인증서입니다.");
				} else if( resultObject.resultCode == '999'){
					alert("사용자 DN 선택이 취소 되었습니다.");
				} else {
					alert( resultObject.resultMessage);
				}
				
				return;
			}
			
			var signeddata = resultObject.signedData;
			var userdn = resultObject.certAttrs.subjectName;
			
// 			alert(signeddata);//인증서 이름
// 			alert(userdn);//인증서 이름
			
			$("#CONT_SIGNDATA").val(signeddata);
			$("#CONT_SIGNDN").val(userdn);
			
			$("#fevent").val("SIGN_OK");
			
            var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/result/PurResultDetail03_sheet.screen";
			var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);	
		}
	);

}

</SCRIPT>


<div id="CONTROL_LAYER" style="position:absolute; z-index:10; visibility:hidden;">


<script>


	
	
</script>
</div>

<!-- 전자인증 모듈 설정 //-->
<link rel="stylesheet" type="text/css" href="/CrossCert/CC_WSTD_home/unisignweb/rsrc/css/certcommon.css?v=1" />
<script type="text/javascript" src="/CrossCert/CC_WSTD_home/unisignweb/js/unisignwebclient.js?v=1"></script>
<script type="text/javascript" src="/CrossCert/UniSignWeb_Multi_Init_Nim.js?v=1"></script>
<!-- 전자인증 모듈 설정 //-->
